{% extends "layout.jinja2" %}

{% block content %}
<div class="content w-50-ns w-100">
  <h2  class="f4 f3-l fw4 white-90 mb0 lh-title gold">OZG:
  <span class="f4 i">Über das Projekt</span></h2>
  <p class="lead">
    Das Projekt wurde im Herbst 2019 begonnen, um
    diverse Standards und Phasen der Webapp-Entwicklung am praktischen
    Beispiel üben zu können.<br />
    Zehn von insgesamt 575 geplanten Fachverfahren wurden ausgewählt,
    die für die Umsetzung des Onlinezugangsgesetzes (OZG) geplant sind. 
  </p>  
  <div>
    Folgende Schwerpunkte wurden im Projekt thematisiert:
    <ul class="simplelist">
      <li>die Programmiersprache <i>Python</i>
      </li>
      <li>
	<i>Jupyter Notebooks</i> für die Python-Grundlagen und
	statistische Auswertungen
      </li>
      <li>Technische Dokumentantion mit <i>Sphinx</i></li>
      <li>Webframeworks: <i>Pyramid</i>, alternativ Django</li>
      <li>UML für die Analyse und den Entwurf</li>
      <li>XML für die Datenhaltung und den Datenaustausch</li>
      <li>Prüfung auf barrierearmen Zugang</li>
      <li>Tests, als Basis fehlerfreier Software</li>
      <li>einbinden externer Services</li>
    </ul>	
  </div>  
</div>
{% endblock content %}
